from django.conf.urls import url
from .views_api import (ResultsStatusView,
                        ResultsCleanView,
                        ResultsStartView,
                        PingView)
from .views import schema_view

urlpatterns = [
    url('^$', schema_view, name="swagger"),
    # Election context-wise endpoints
    url(
        regex=r'^ping/$',
        view=PingView.as_view(),
        name="ping"
    ),
    url(
        regex=r'^scrutiny/(?P<election_id>\d+)/status/$',
        view=ResultsStatusView.as_view(),
        name="status"
    ),
    url(
        regex=r'^scrutiny/(?P<election_id>\d+)/generate/$',
        view=ResultsStartView.as_view(),
        name="generate"
    ),
    url(
        regex=r'^scrutiny/(?P<election_id>\d+)/clean/$',
        view=ResultsCleanView.as_view(),
        name="clean"
    ),
]
